Assign a new QR code for the requested driver. Return error if an active QR code already exists.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Drivers under the Drivers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/drivers/qr-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": 494123
}
'{
"data": {
"driverId": 494123,
"qrCodeLink": "https://cloud.samsara.com/qr_code/18979ef6-663e-446b-8d5a-0ff0781b8bab"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Driver to assign a new QR code to.
Unique ID of the driver.
494123
OK response.
A single document.
Show child attributes
curl --request POST \
--url https://api.samsara.com/drivers/qr-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": 494123
}
'{
"data": {
"driverId": 494123,
"qrCodeLink": "https://cloud.samsara.com/qr_code/18979ef6-663e-446b-8d5a-0ff0781b8bab"
}
}